# Retrieve a list of bill of materials and consumables

Endpoint: GET /technological_cards/{location_id}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    Location ID

## Query parameters:

  - `search` (string)
    parameter for searching by the name of those lists

  - `page` (number)
    page number

  - `count` (number)
    number of those lists per page

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of data objects

  - `data.id` (integer)
    Tech ID. cards

  - `data.title` (string)
    The name of those cards

  - `data.technological_card_items` (array)
    List of consumables kart

  - `data.technological_card_items.id` (number)
    Consumable ID

  - `data.technological_card_items.technological_card_id` (number)
    Tech ID. cards

  - `data.technological_card_items.storage_id` (number)
    Inventory ID

  - `data.technological_card_items.good_id` (number)
    Product ID

  - `data.technological_card_items.amount` (number)
    Quantity

  - `data.technological_card_items.unit` (string)
    unit of measurement

  - `data.technological_card_items.price` (number)
    Price

  - `data.technological_card_items.title` (string)
    Name

  - `meta` (array)
    Metadata (empty array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

